# -*- coding: utf-8 -*-

from django.core.management.base import BaseCommand
from accounts.util import bot_history
from common.util import uniopen
from dictionary.models import Lexeme, Vocabulary


class Command(BaseCommand):
    args = '<input file name>'
    help = 'Does something with a list of words'

    def handle(self, filename, **options):
        edit_words(uniopen(filename))


def edit_words(input_file):
    bot_history()
    anty = Vocabulary.objects.get(id='antyMorfeusz')
    for word in input_file:
        lexemes = Lexeme.objects.filter(entry=word)
        for lexeme in lexemes:
            anty.add_lexeme(lexeme)
            # lexeme.save()
