# -*- coding: utf-8 -*-

from django.conf.urls import patterns
from common.util import url

urlpatterns = patterns(
    'patterns.views',
    url(r'^$', 'pattern_view'),
    # url(r'^czytelniczka/$', 'pattern_reader_view'),
)

urlpatterns += patterns(
    'patterns.ajax_pattern_view',
    url(r'^ajax/query/$', 'get_patterns'),
    url(r'^ajax/search-index/$', 'search_index', name='patterns_search_index'),
    url(r'^ajax/row-index/$', 'row_index', name='patterns_row_index'),
    url(r'^ajax/save-columns/$', 'save_columns', name='patterns_save_columns'),
    url(r'^ajax/pattern-edit-form/$', 'pattern_edit_form'),
    url(r'^ajax/new-ending-row/$', 'new_ending_row'),
    url(r'^ajax/new-bfl-row/$', 'new_ending_table_row'),
    url(r'^ajax/update-pattern/$', 'update_pattern'),
    url(r'^ajax/create-pattern/$', 'create_pattern'),
    url(r'^ajax/clone-pattern/$', 'clone_pattern'),
    url(r'^ajax/pattern-preview/$', 'pattern_preview'),
    url(r'^ajax/get-name/$', 'get_name'),
)
