# -*- coding: utf-8 -*-

from django.conf.urls import patterns, include
from common.util import url

urlpatterns = patterns(
    'accounts.views',
    url(r'^register/$', 'register'),
    url(r'^settings/$', 'settings'),
    url(r'^manage-groups/$', 'manage_groups'),
    (r'^', include('registration.backends.default.urls')),
    (r'^', include('django.contrib.auth.urls')),
)

urlpatterns += patterns(
    'accounts.ajax',
    url(r'^ajax/set-group/$', 'set_group'),
    url(r'^ajax/save-default-owner/$', 'save_default_owner'),
)