# -*- coding: utf-8 -*-

from django.conf.urls import patterns
from common.util import url

urlpatterns = patterns(
    'management.views',
    url(r'^widok-wydawcy/$', 'manager_view'),
    url(r'^klasyfikacje/$', 'manage_classifications'),
    url(r'^kwalifikatory/$', 'manage_qualifiers'),
    url(r'^tabelki/$', 'table_view'),
    url(r'^administracja/$', 'management_menu'),
    url(r'^multilingual/$', 'multilingual_texts'),
)

urlpatterns += patterns(
    'management.ajax',
    url(r'^ajax/add-vocabulary/$', 'add_vocabulary'),
    url(r'^ajax/get-privileges/$', 'vocabulary_permissions'),
    url(r'^ajax/set-privilege$', 'set_vocabulary_permission'),
)

urlpatterns += patterns(
    'management.ajax_table_view',
    url(r'^ajax/table-edit-form/$', 'table_edit_form'),
    url(r'^ajax/new-table-form/$', 'new_template_row'),
    url(r'^ajax/template-preview-form/$', 'template_preview_form'),
    url(r'^ajax/load-template-preview/$', 'template_preview'),
    url(r'^ajax/save-template/$', 'save_template'),
)