# -*- coding: utf-8 -*-

from django.conf.urls import patterns, include, url

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns(
    '',
    (r'^accounts/', include('accounts.urls')),
    (r'^common/', include('common.urls')),
    (r'^i18n/', include('django.conf.urls.i18n')),
    (r'^', include('dictionary.urls')),
    (r'^wzory/', include('patterns.urls')),
    (r'^', include('management.urls')),
    (r'^paginer/', include('paginer.urls')),
    (r'^historia/', include('history.urls')),
    (r'^eksport/', include('export.urls')),
)
